import request from "@/api";
// const api = "/api"
const api = "/admin";
// 物资储备情况
export function getMaterial(data: any) {
  return request({
    url: api + "/vis/get-material-situation?name=" + data.name,
    method: "get"
  });
}
// 出入库记录
// export function getRecords(data: any) {
//   return request({
//     url: api + "/vis/entry_exit_records?type=" + data.type + "&name=" + data.name,
//     method: "get"
//   });
// }
export function getRecords(data: any) {
  return request({
    url: api + "/vis/entry_exit_records?type=" + data.type,
    method: "get"
  });
}
// 损耗记录
export function getLossRecord(data: any) {
  return request({
    url: api + "/vis/getLossRecord?name=" + data.name,
    method: "get"
  });
}
